Bug 200920 - Opening a file from another window selects the correct tab in the editor, but the file is not "maximized" in the editor -- you can't actually see it
Opening a file from another window selects the correct tab in the editor, but...
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Window System
7.3.1
All All
: P4 with 1 vote (vote)
: 7.4
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-12 17:53 UTC by mark_barnes
Modified: 2013-09-05 13:07 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
screen shot showing multiple tab groups with multiple highlightged tabs (99.98 KB, image/png)
2013-09-05 12:01 UTC, mark_barnes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mark_barnes 2011-08-12 17:53:38 UTC
Product Version = NetBeans IDE 7.0.1 (Build 201107282000)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.6.0_24
Runtime = Java HotSpot(TM) 64-Bit Server VM 19.1-b02

Example:

I'm looking at the Version Output Window, and I select a file to open.
If the file is already open, only the tab for that file is selected.
If I have multiple tab strips, it's very difficult to find that one file.
Each tab strip has a selected tab.
It makes you think the file simply didn't open.

Another Example:

I used Help -> Report Issue to report this issue.
This "Report a New Issue" was opened in a new tab on one of the tab strips,
and the new tab was selected, but it was no maximized so I could actually see it.
Comment 1 Jan Becicka 2011-08-15 13:03:18 UTC
Looks like window system issue.
Comment 2 mark_barnes 2011-08-15 14:11:10 UTC
By "Windows System Issue" do you mean MS Windows or KDE or Gnome, etc?

If so, I don't think so.  I'm talking about the tabs on the tab strips within the Netbeans Editor pane within the Netbeans UI (main window) itself, which I believe is all Java.  And things were fine in NB 6.9.1 and before.  It just started happening after I upgraded to 7.0.1.
Comment 3 Jan Becicka 2011-08-15 14:39:13 UTC
I wrote "window system" not "Windows system"
"window system" is netbeans component which handles ui components and its windows.
Comment 4 Stanislav Aubrecht 2011-08-29 08:14:01 UTC
jano, do we need to notify the user that a document tab has been just activated?
Comment 5 Stanislav Aubrecht 2011-10-06 09:58:02 UTC
waiting for response from HIE team
Comment 6 mark_barnes 2011-10-06 14:30:00 UTC
I note that the priority has been dropped from P3 to P4, so I want to say that, to me, anyway, this is more than just a minor annoyance.  It actually impedes my work flow.  Yes, I'm trying to plead my case!

Consider this, if you would...

You have many, many files open at once (hundreds?,) and you are working on several tasks and projects simultaneously. Such is the nature of rapid-deployment web programming.  Priorities change by the moment.  You often must drop things to work on something more important.  And you have long-term projects mixed in with bug fixing, issues all the way from minor to critical.

Since there is no Mylyn for NB, the only way you can keep track of which files are open for which task or project is to keep the files in separate "tab groups".  So you have up to 10+ tab groups all at once.

You look for a file you need to view/edit in the Files window and double-click on it.

1) If the file is already open, it's tab gets highlighted.  Nothing more.  If the editor is not "full screen", i.e. all those many tab strips are showing, you now have to do visual search to find the file.  Each of those 10+ tab strips has one tab highlighted.  If the editor were to switch to "full window" for that file -- like it used to before recent releases -- however, there's no doubt where the file is.  But now, in a sea of tabs, you have to find the one you just wanted to open.  By the time you have finally found it, you might have to remind yourself why you even wanted it...  (Don't laugh!  I'm not as young as I used to be!  You will remember me saying this when you get there, too!)

2) If the file is NOT open, and the tab strips are showing, the file gets opened in one of those tab strips.  I think it goes to the tab strip that also contains the file you most recently changed, but I'm not sure.  It could be random.  The point is, if the file were to go to full-window, you'd have no problem finding it.

I know this might seem minor to many people, but it's a big usability issue to me.

There, I feel a bit better now.
Comment 7 Stanislav Aubrecht 2013-09-05 08:21:52 UTC
Newly opened file is focused so it's tab is highlighted with a light-blue background when using Windows look and feel. It should be easy to find such a tab in the IDE.

Please feel free to reopen if it isn't good enough.
Comment 8 mark_barnes 2013-09-05 12:01:40 UTC
Created attachment 139698 [details]
screen shot showing multiple tab groups with multiple highlightged tabs
Comment 9 Stanislav Aubrecht 2013-09-05 12:09:41 UTC
(In reply to mark_barnes from comment #8)
> Created attachment 139698 [details]
> screen shot showing multiple tab groups with multiple highlightged tabs

You're using Nimbus look and feel, switch to the default Windows look and feel and there'll be just one highlighted tab.
Comment 10 mark_barnes 2013-09-05 12:20:17 UTC
I'm sorry, but that doesn't really help.  Please see the screen shot I attached.

There are four tab groups, each with multiple tabs.  Some tabs are for modified files, some are for unmodified files.

Note that that EACH TAB GROUP has a highlighted tab!!!

Say I run a full SVN update.

In the Versioning Output window, I see that one of the files I have been working on got updated and merged.

I double-click on that file in the Versioning Output window.

It looks like nothing happened.  Nothing at all.  Well, maybe one of the highlighted tabs changed.  But just maybe.  If the file was ALREADY highlighted, nothing did change.

Still, which tab has the file I just double-clicked???



BTW - I am using NB 7.3.1 now.  It still has the problem.
Comment 11 mark_barnes 2013-09-05 12:22:41 UTC
Even if there is only one highlighted tab, with so many tabs, the highlight is too subtle for me to find.

Oh well, I guess I will just have to deal with it.
Comment 12 Stanislav Aubrecht 2013-09-05 12:26:48 UTC
The editor tabs in Nimbus look and feel are implemented by reusing some of JTabbedPane code to achieve consistent look with native Swing components. So there's no special highlight for focused tab.

In Windows look and feel there is blue highlight for focused tab. But what's too subtle for one user may be too prominent for other user.

You can also try Metal look and feel where the focused tab might be better visible.
Comment 13 mark_barnes 2013-09-05 12:34:42 UTC
What I was hoping for was to have the file in the tab actually get displayed, not for a change to the tab itself.

Is it possible for the it to work as if I had double-clicked on the tab itself, "maximizing" the tab/file so there is no doubt that I am looking at the file I wanted?
Comment 14 Stanislav Aubrecht 2013-09-05 13:07:08 UTC
If you used Metal or Windows look and feel and double click any file anywhere the file will get focused and its tab will change its background to indicate that.

In Nimbus look and feel focused and unfocused tabs are painted in almost the same. The distinction is very subtle - but we're using Nimbus painting routines for that. Those routines are implemented in JDK...

As I suggested before - try either Windows or Metal look and feel.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo